# WOK
TKWOK
MS

# MS_HSequenceOfGenType Class Reference

`#include <MS_HSequenceOfGenType.hxx>`

## Public Member Functions

| MS_HSequenceOfGenType ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(MS_GenType)&anItem)
Standard_EXPORT void | Append (const Handle(MS_HSequenceOfGenType)&aSequence)
Standard_EXPORT void | Prepend (const Handle(MS_GenType)&anItem)
Standard_EXPORT void | Prepend (const Handle(MS_HSequenceOfGenType)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_GenType)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_HSequenceOfGenType)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_GenType)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_HSequenceOfGenType)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_MS_HSequenceOfGenType | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(MS_GenType)&anItem)
Standard_EXPORT const Handle_MS_GenType & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_MS_GenType & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const MS_SequenceOfGenType & | Sequence () const
MS_SequenceOfGenType & | ChangeSequence ()
Standard_EXPORT Handle_MS_HSequenceOfGenType | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

MS_SequenceOfGenType | mySequence

## Constructor & Destructor Documentation

MS_HSequenceOfGenType::MS_HSequenceOfGenType | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void MS_HSequenceOfGenType::Append | ( | const Handle(MS_HSequenceOfGenType)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfGenType::Append | ( | const Handle(MS_GenType)& | anItem | ) |

MS_SequenceOfGenType& MS_HSequenceOfGenType::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_MS_GenType& MS_HSequenceOfGenType::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfGenType::Clear | ( |  | ) |

Standard_EXPORT void MS_HSequenceOfGenType::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const MS_HSequenceOfGenType::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MS_HSequenceOfGenType::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfGenType)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfGenType::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_GenType)& | anItem
| ) |

Standard_EXPORT void MS_HSequenceOfGenType::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfGenType)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfGenType::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_GenType)& | anItem
| ) |

Standard_Boolean MS_HSequenceOfGenType::IsEmpty | ( |  | ) | const

Standard_Integer MS_HSequenceOfGenType::Length | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfGenType::Prepend | ( | const Handle(MS_HSequenceOfGenType)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfGenType::Prepend | ( | const Handle(MS_GenType)& | anItem | ) |

Standard_EXPORT void MS_HSequenceOfGenType::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void MS_HSequenceOfGenType::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfGenType::Reverse | ( |  | ) |

const MS_SequenceOfGenType& MS_HSequenceOfGenType::Sequence | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfGenType::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_GenType)& | anItem
| ) |

Standard_EXPORT Handle_MS_HSequenceOfGenType MS_HSequenceOfGenType::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_MS_HSequenceOfGenType MS_HSequenceOfGenType::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_MS_GenType& MS_HSequenceOfGenType::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

MS_SequenceOfGenType MS_HSequenceOfGenType::mySequence `[private]`

The documentation for this class was generated from the following file:

- MS_HSequenceOfGenType.hxx